Package org.eclipse.ecf.core

## Interface IContainerListener

    public interface IContainerListener

Listener for objects that wish to receive events from an IContainer instances.

See Also:
  `Note these methods will be called asynchronously when notifications of remote changes are received by the provider implementation code. The provider is free to call the methods below with an arbitrary thread, so the implementation of these methods must be appropriately prepared. For example, if the code implementing any of these methods must interact with user interface code, then it should use code such as the following to execute on the SWT UI thread: Display.getDefault().asyncExec(new Runnable() { public void run() { ... UI code here } }); Further, the code in the implementations of these methods should not block via I/O operations or blocking UI calls.`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent​(IContainerEvent event)` Handle event from IContainer

### Method Detail

#### handleEvent

    void handleEvent​(IContainerEvent event)

Handle event from IContainer

Parameters:
  `event` - the event to handle